Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: "Drew Adams" <[email-masked]>
Date: Fri, 13 Jan 2012 11:21:04 -0800

> > For one thing, you are accessing a remote file before 
> > testing whether it is remote according to its name,
> > which systematically costs you a remote access
> > (login etc.), perhaps uselessly.
>
> Agree, but for this use case the connection is already open
> so there is not really a cost with remote access.

What use case?  I thought the discussion was about coming up with a general
function to compare file names to determine whether their files are the same.

> But anyway as Michael point we need to test also user, method..
> to much!

I believe that is all taken care of by the code I sent, which uses
`file-remote-p'.  IOW, I think `file-remote-p' does that.  But I'm no expert on
this stuff.